<template>
  <div>
    <div class="row flex-center">
      <div class="col" style="max-width: 1000px">
        <q-card>
          <q-card-actions>
            <q-btn color="orange" icon="arrow_back" label="Kembali" to="/produk/diperiksa" />
          </q-card-actions>

          <q-card-section style="background: #4caf50">
            <q-item-label style="color: white; font-size: 17px">
              <strong>Detail Approval Product</strong>
            </q-item-label>
          </q-card-section>

          <q-card-section>
            <h6 style="margin-top: 10px">Gambar Produk</h6>
            <div class="row justify-center">
              <q-img
                style="width: 170px; margin: 10px"
                :ratio="1"
                class="rounded-borders"
                @click="showImage(product.main_image)"
                :src="product.main_image"
              />
              <div v-for="gambar in product.image">
                <q-img
                  style="width: 170px; margin: 10px"
                  :ratio="1"
                  class="rounded-borders"
                  @click="showImage(gambar)"
                  :src="gambar"
                />
              </div>
            </div>
          </q-card-section>

          <q-separator />

          <q-card-section class="q-gutter-md">
            <h6 style="margin-top: 10px">Informasi Produk Jasa</h6>
            <q-input standout="bg-green text-white"  v-model="product.product_type.product_type" label="Jenis" readonly />
            <q-input standout="bg-green text-white"  v-model="product.product_category.category" label="Kategori" readonly />
            <q-input standout="bg-green text-white"  v-model="product.name_product" label="Nama"/>
            <q-input standout="bg-green text-white" v-model="product.desc_product" label="Deskripsi" type="textarea"/>
          </q-card-section>

          <q-separator />

          <q-card-section>
            <h6 style="margin-top: 10px">Form Persetujuan</h6>
            <q-input standout="bg-green text-white" v-model="desc" label="Catatan" type="textarea"/>
          </q-card-section>
          <q-card-actions>
            <div style="margin: auto; margin-top: 20px; margin-bottom: 30px; width: 20%;" class="q-pa-md; row">
              <q-btn  label="Setuju" type="submit" color="blue" style="margin: auto" @click="setujuProduct" />
              <q-btn  label="Tolak" type="submit" color="red" style="margin: auto" @click="tolakProduct"/>
            </div>
          </q-card-actions>
        </q-card>
      </div>
    </div>

  </div>


</template>

<script>
export default {
  name: "DetailProdukApprove",

  preFetch (store) {
    store.store.dispatch("product/getDetailProduct", store.currentRoute.params.id);
  },

  data() {
    return {
      value: true,
      desc: null
    }
  },

  methods: {
    showImage(val) {
      this.$q.dialog({
        message: `<img src="${val}" style="width: 100%" />`,
        style: 'width: 100%',
        html: true,
      })
    },

    setujuProduct() {
      let data = {
        id: this.$route.params.id,
        status: 4,
        desc: this.desc
      }
      this.$store.dispatch("product/approveProduct", data)
      .then(data => {
        this.$router.push("/produk/saya")
      })
    },

    tolakProduct() {
      let data = {
        id: this.$route.params.id,
        status: 8,
        desc: this.desc
      }
      this.$store.dispatch("product/rejectProduct", data)
        .then(data => {
          this.$router.push("/produk/saya")
        })
    }
  },

  computed: {
    product() {
      let dataProduct = this.$store.getters["product/getDetailProduct"];

      if (!dataProduct.product_type) {
        dataProduct.product_type = {
          product_type: null,
        }
      }

      if (!dataProduct.product_category) {
        dataProduct.product_category = {
          category: null,
        }
      }

      return this.$store.getters["product/getDetailProduct"];
    }
  }
}
</script>

<style scoped>

</style>
